#include "device.h"
#include "system.h"

void GPIOInit();
void TRUInit();

int main()
{
  //System Init
  SystemInit();
  
  //GPIO Init
  GPIOInit();
  
  //TRU Init
  TRUInit();
  
  //wait
  while(1)
  {
    asm("NOP;");
    asm("NOP;");
  }
  
  return 0;
}

void GPIOInit()
{  	
    *pREG_PORTF_FER_CLR  = BITM_PORT_FER_CLR_PX2;
    *pREG_PORTF_DIR_SET  = BITM_PORT_DIR_SET_PX2;
    *pREG_PORTF_DATA_SET = BITM_PORT_DATA_CLR_PX2; 
    *pREG_PORTF_TRIG_TGL = 0x00000004;
     
}

void  TRUInit()
{
  *pREG_TRU1_GCTL = 0x00000001;                      // enable TRU1
  *pREG_TRU1_SSR23 = TRGM_CTI3_MST2;                 // enable CTI slave 0 assigned to M4 sw master 0

}

